import java.net.Socket;

public class MultiThreadProtocol implements Protocol, Runnable {
    private Protocol proto;
    private Socket s = null;
    public MultiThreadProtocol(Protocol p) {
	proto = p;
    }
    public void run() {
	try {
	    proto.speak(s);
	} catch (Exception e) {
	    System.out.println(e);
	}
    }
    public void speak(Socket s) throws Exception {
	MultiThreadProtocol p = new MultiThreadProtocol(proto);
	p.s = s;
	Thread t = new Thread(p);
	t.start();
    }    
}
