import java.net.ServerSocket;
import java.net.Socket;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.BufferedReader;
import java.io.PrintWriter;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;

public class PrimoServer implements Runnable {
    public void run() {
	try {
	    ServerSocket ss = new ServerSocket(1030);
	    while (true) {
		Socket s = ss.accept();
		BufferedReader in = new BufferedReader(new InputStreamReader(s.getInputStream()), 1);
		PrintWriter out = new PrintWriter(new OutputStreamWriter(s.getOutputStream()));
		// Gestisce la connessione
		String line;
		while ((line = in.readLine()) != null && 
		       !"exit".equals(line)) {
		    out.print(line + "\r\n");
		    out.flush();
		}
		s.close();
	    }
	} catch (Exception e) {
	    System.out.println(e);
	}
    }

    public static void main(String[] args) {
	Thread t = new Thread(new PrimoServer());
	t.start();
    }
}
