import java.net.Socket;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.BufferedReader;
import java.io.PrintWriter;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;

public class EchoProtocol implements Protocol {
    public void speak(Socket s) throws Exception {
	BufferedReader in = new BufferedReader(new InputStreamReader(s.getInputStream()), 1);
	PrintWriter out = new PrintWriter(new OutputStreamWriter(s.getOutputStream()));
	// Gestisce la connessione
	String line;
	while ((line = in.readLine()) != null && 
	       !"exit".equals(line)) {
	    out.print(line + "\r\n");
	    out.flush();
	}
	s.close();
    }
}
