import java.net.ServerSocket;
import java.net.Socket;

public class SecondoServer implements Runnable {
    private Protocol proto;

    public SecondoServer(Protocol p) {
	proto = p;
    }

    public void run() {
	try {
	    ServerSocket ss = new ServerSocket(1030);
	    while (true) {
		Socket s = ss.accept();
		proto.speak(s);
	    }
	} catch (Exception e) {
	    System.out.println(e);
	}
    }

    public static void main(String[] args) {
	Thread t = new Thread(new SecondoServer(new MultiThreadProtocol(new EchoProtocol())));
	t.start();
    }
}
